[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: odd file requires



On Tue, 10 Nov 2009 11:01:54 +0100, Kevin wrote:

> Mark McLoughlin wrote:
> > Leaving it as a package requires means hard-coding knowledge in qemu
> > about which version of gpxe-roms-qemu provides which roms. IMHO, the
> > file requires makes more sense.
> 
> So what? Many packages have hardcoded Requires >= EVR for such things.

And if you don't like to require package names, you could add your
own "Provides" to the packages for capabilities such as ROM images. With
the added benefit that you could apply versions to those capabilities,
which is not possible with file dependencies.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]